Bug 242077 - lesspipe.sh of less needlessly using login shell
lesspipe.sh of less needlessly using login shell
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: less (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 11:40 EDT by Daniel Qarras
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 08:01:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to not use login shell in lesspipe.sh (176 bytes, text/x-patch)
2007-06-01 11:40 EDT, Daniel Qarras
no flags Details

  None (edit)
Description Daniel Qarras 2007-06-01 11:40:05 EDT
Why on Earth lesspipe.sh is started with a login shell? It just wastes resources
and slows things down unnecessarily as profile scripts are being parsed when
just an ordinary function is used?

I'm attaching the obvious patch to fix this. Please apply.
Comment 1 Daniel Qarras 2007-06-01 11:40:05 EDT
Created attachment 155897 [details]
Patch to not use login shell in lesspipe.sh
Comment 2 Ivana Varekova 2007-06-04 08:01:03 EDT
Fixed in less-394-10.fc8.
Comment 3 Philip Rowlands 2007-11-09 22:09:58 EST
What login shell? The "-" is an end-of-options marker. Perhaps you're thinking
of "-l", which isn't used.

To be honest, I put in the "-" out of habit, and it's probably harmless to
remove it. However, for the record this patch is unwarranted.

Note You need to log in before you can comment on or make changes to this bug.